org.apache.catalina.mapper

## Class Mapper.MappedHost

- java.lang.Object
- - org.apache.catalina.mapper.Mapper.MapElement<Host>
  - - org.apache.catalina.mapper.Mapper.MappedHost

- Enclosing class:
    Mapper

      protected static final class Mapper.MappedHost
      extends Mapper.MapElement<Host>

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `Mapper.ContextList` | `contextList`

    - ### Fields inherited from class org.apache.catalina.mapper.Mapper.MapElement

      `name, object`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Mapper.MappedHost(String name, Host host)` Constructor used for the primary Host
    `Mapper.MappedHost(String alias, Mapper.MappedHost realHost)` Constructor used for an Alias

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAlias(Mapper.MappedHost alias)`
    `void` | `addAliases(Collection<? extends Mapper.MappedHost> c)`
    `Collection<Mapper.MappedHost>` | `getAliases()`
    `Mapper.MappedHost` | `getRealHost()`
    `String` | `getRealHostName()`
    `boolean` | `isAlias()`
    `void` | `removeAlias(Mapper.MappedHost alias)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### contextList

          public volatile Mapper.ContextList contextList

  - ### Constructor Detail

    - #### Mapper.MappedHost

          public Mapper.MappedHost(String name,
                           Host host)

      Constructor used for the primary Host
      Parameters:
        `name` - The name of the virtual host
        `host` - The host

    - #### Mapper.MappedHost

          public Mapper.MappedHost(String alias,
                           Mapper.MappedHost realHost)

      Constructor used for an Alias
      Parameters:
        `alias` - The alias of the virtual host
        `realHost` - The host the alias points to

  - ### Method Detail

    - #### isAlias

          public boolean isAlias()

    - #### getRealHost

          public Mapper.MappedHost getRealHost()

    - #### getRealHostName

          public String getRealHostName()

    - #### getAliases

          public Collection<Mapper.MappedHost> getAliases()

    - #### addAlias

          public void addAlias(Mapper.MappedHost alias)

    - #### addAliases

          public void addAliases(Collection<? extends Mapper.MappedHost> c)

    - #### removeAlias

          public void removeAlias(Mapper.MappedHost alias)

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.